using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Frilenseri
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            double[] a = new double[n];
            double[] p = new double[n];
            for (int i = 0; i < n; i++)
            {
                string[] l = Console.ReadLine().Split();
                double x = double.Parse(l[0]);
                double y = double.Parse(l[1]);
                a[i] = x;
                p[i] = y;
            }
            double m = 0;
            double q;
            double s;
            for (int i = 0; i < n; i++)
            {
                q = p[i];
                s = 0;
                for (int j = 0; j < n; j++)
                {
                    if(p[j] >= q)
                    {
                        s += (a[j] / 100) * q;
                    }
                    if (s > m)
                        m = s;                   
                }
            }
            Console.WriteLine(m);
        }
    }
}